// <file>
//     <copyright see="prj:///doc/copyright.txt"/>
//     <license see="prj:///doc/license.txt"/>
//     <owner name="Mike Krüger" email="mike@icsharpcode.net"/>
//     <version value="$version"/>
// </file>
using System;
using System.Text;
using System.Windows.Forms;

using ICSharpCode.SharpUnit;

using ICSharpCode.TextEditor.Document;
using ICSharpCode.TextEditor.Actions;

[TestSuiteAttribute("Test the clipboard actions")]
public class ClipboardActionTests
{	
	[TestMethodAttribute()]
	public void CutActionTest()
	{
		TestEditactionService editActionService = new TestEditactionService();
		new Cut().Execute(editActionService);
		Assertion.Assert(editActionService.CutCalled);
	}
	
	[TestMethodAttribute()]
	public void CopyActionTest()
	{
		TestEditactionService editActionService = new TestEditactionService();
		new Copy().Execute(editActionService);
		Assertion.Assert(editActionService.CopyCalled);
	}
	
	[TestMethodAttribute()]
	public void PasteActionTest()
	{
		TestEditactionService editActionService = new TestEditactionService();
		new Paste().Execute(editActionService);
		Assertion.Assert(editActionService.PasteCalled);
	}	
}
